# Created by pyp2rpm-3.3.4
%global pypi_name click-repl

Name:           python-%{pypi_name}
Version:        0.1.6
Release:        %mkrel 1
Summary:        REPL plugin for Click
Group:          Development/Python
License:        MIT
URL:            https://github.com/untitaker/click-repl
Source0:        %{url}/archive/%{version}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

# Patch adapts tests to a newer python-click (present in Fedora)
Patch0:         %{url}/pull/53.patch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-click
BuildRequires:  python3-pytest
BuildRequires:  python3-prompt-toolkit
BuildRequires:  python3-six

%description
REPL plugin for Click.

%package -n     python3-%{pypi_name}
Summary:        REPL plugin for Click
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
REPL plugin for Click.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

%check
%pytest

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/click_repl/
%{python3_sitelib}/click_repl-%{version}-py%{python3_version}.egg-info/


%changelog
* Thu Jan 07 2021 daviddavid <daviddavid> 0.1.6-1.mga8
+ Revision: 1669561
- initial package python-click-repl (needed for python-celery)

